import axios from "@/utils/request";
import {saveSubWarehouse} from "@/api/system/invSubWarehouse";

export function getBasicHospType(query) {
  return axios({
    url: "/udiwms/basic/hosp/type/filter",
    method: "get",
    params: query
  });
}


export function getListMenu(query) {
  return axios({
    url: "/udiwms/basic/hosp/type/menuList",
    method: "get",
    params: query
  });
}


export function saveBasicHospType(query) {
  return axios({
    url: "/udiwms/basic/hosp/type/save",
    method: "post",
    data: query
  });
}

export function uodateBasicHospType(query) {
  return axios({
    url: "/udiwms/basic/hosp/type/update",
    method: "post",
    data: query
  });
}


export function deleteBasicHospType(query) {
  return axios({
    url: "/udiwms/basic/hosp/type/delect",
    method: "get",
    params: query
  });
}


export function getListTree(query) {
  return axios({
    url: "/udiwms/basic/hosp/type/getTree",
    method: "get",
    params: query
  });
}

export function bindBasicHospProduct(query) {
  return axios({
    url: "/udiwms/basic/hosp/type/bindRel",
    method: "post",
    data: query
  });
}

export function getBindList(query) {
  return axios({
    url: "/udiwms/basic/hosp/type/bindList",
    method: "get",
    params: query
  });
}


export function unbindBasicHospProduct(query) {
  return axios({
    url: "/udiwms/basic/hosp/type/unbindRel",
    method: "post",
    data: query
  });
}









